import { EventEmitter } from '../../stencil-public-runtime';
import { StateOfReminder } from '../../utils/utils';
export declare class DescriptionInput {
  status: StateOfReminder;
  state: StateOfReminder;
  text: string;
  textEmitter: EventEmitter<{
    inputType: string;
    text: string;
  }>;
  selectionText: string;
  componentWillRender(): void;
  componentShouldUpdate(): void;
  emitValueOfText(value: any): void;
  render(): any;
  handleSelection(): void;
}
